GNU bug report logs - #50368
[PATCH 1/9] gnu: rust-multipart-0.17: Fix inputs.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: phodina <phodina@HIDDEN>; Keywords: patch; dated Sat, 4 Sep 2021 08:48:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:32:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:32:37 2021
Received: from localhost ([127.0.0.1]:48656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMbP2-0005gu-SA
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:32:37 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:44040
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMbP1-0005gi-9U
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:32:35 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630783949;
 bh=K7juMNguwLKn7YUxTAZiTNLABpba2L2l0V+Ov/xv+mc=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=lmrTw81mDCBBi3pYl+i6iYOWGTDQEdrslrsUtFBaaKOSy2rn4C7z+f1Iw8BsCCV4r
 ac3nLHVD6MyGrB0xAaqIXFzVUsMDYrMLOPbiz6Sc+nOBA7hGFIgNY4eYDc+fDX4nXo
 BPbFeue2pdGcCgwS9V8Dgh4IeptIQcauX8/wW1l8=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 9/9] gnu: Add rust-tiny-http-0.8.
In-Reply-To: <16QDEht90be1FeTK5-0tpYmUtdkhCiAEWhCUE7vaGboZY_hE3GtkzZBc0ZTgBpyf0vETIuENyQ90MB1Ml8kQizQW7saHac16fn44JHDUaAc=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <16QDEht90be1FeTK5-0tpYmUtdkhCiAEWhCUE7vaGboZY_hE3GtkzZBc0ZTgBpyf0vETIuENyQ90MB1Ml8kQizQW7saHac16fn44JHDUaAc=@protonmail.com>
Date: Sat, 04 Sep 2021 21:32:28 +0200
Message-ID: <87pmto3zn7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-tiny-http-0.8): New variable. ‘rust-tiney-http-0.6’
    should be mentioned in the ChangeLog. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-tiny-http-0.8): New variable. ‘rust-tiney-http-0.6’
    should be mentioned in the ChangeLog. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-tiny-http-0.8): New variable.

=E2=80=98rust-tiney-http-0.6=E2=80=99 should be mentioned in the ChangeLog.

> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 9c331c7140..68a3f79353 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -49233,8 +49233,43 @@ closures after a delay or at a given timestamp.")
>  manipulation in Rust.")
>      (license license:expat)))
>
> +(define-public rust-tiny-http-0.8
> +  (package
> +    (name "rust-tiny-http")
> +    (version "0.8.2")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (crate-uri "tiny-http" version))
> +       (file-name
> +        (string-append name "-" version ".tar.gz"))

Nit: No need for a newline.

> +       (sha256
> +        (base32
> +         "0fcdwpb2ghk671qjjrk6048hs3yp7f681hxpr68gamk00181prcw"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +     `(#:cargo-inputs
> +       (("rust-ascii" ,rust-ascii-1)
> +        ("rust-chrono" ,rust-chrono-0.4)
> +        ("rust-chunked-transfer"
> +         ,rust-chunked-transfer-1)
> +        ("rust-log" ,rust-log-0.4)
> +        ("rust-openssl" ,rust-openssl-0.10)
> +        ("rust-url" ,rust-url-2))
> +       #:cargo-development-inputs
> +       (("rust-fdlimit" ,rust-fdlimit-0.1)
> +        ("rust-rustc-serialize"
> +         ,rust-rustc-serialize-0.3)
> +        ("rust-sha1" ,rust-sha1-0.6))))
> +    (home-page
> +     "https://github.com/tiny-http/tiny-http")

Likewise.

> +    (synopsis "Low level HTTP server library")
> +    (description "This package provides a low level HTTP server library.=
")
> +    (license (list license:expat license:asl2.0))))
> +
>  (define-public rust-tiny-http-0.6
>    (package
> +    (inherit rust-tiny-http-0.8)
>      (name "rust-tiny-http")
>      (version "0.6.2")
>      (source
> @@ -49244,7 +49279,6 @@ manipulation in Rust.")
>         (file-name (string-append name "-" version ".tar.gz"))
>         (sha256
>          (base32 "0la95daknfh8g951ddb2zdz6av2459rncp6h9dh02pf98h5glq8n"))=
))
> -    (build-system cargo-build-system)
>      (arguments
>       `(#:skip-build? #t
>         #:cargo-inputs
> @@ -49253,11 +49287,7 @@ manipulation in Rust.")
>          ("rust-chunked-transfer" ,rust-chunked-transfer-0.3)
>          ("rust-log" ,rust-log-0.4)
>          ("rust-openssl" ,rust-openssl-0.10)
> -        ("rust-url" ,rust-url-1))))
> -    (home-page "https://github.com/tiny-http/tiny-http")
> -    (synopsis "Low level HTTP server library")
> -    (description "This package provides a low level HTTP server library.=
")
> -    (license license:asl2.0)))
> +        ("rust-url" ,rust-url-1))))))
>
>  (define-public rust-tiny-keccak-2
>    (package
> --
> 2.32.0

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzycwVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5cVMP/jBI26lgeMhk/0X9jdU0LzkDcV/l
XvnWvL1YBNfhVIFoRmHGY6XdiV8HBImwMkstERuIBqu/fISEYt4UpusRpksCD+0B
WR7J7JDFijkt/zkiTx/SIBJ/2TP8HwVu91ekXJt+hfoRqbKkRZCoWizxk6d8QAoo
J4FpQWaHrmbvaNVHOK61VtUU90eU9t6nVX9N1U4ErIUYBMz42WwW1dAMFp6Aw90L
ZeJKxfCUwdEjmRYCH2HJvpfPEZDtyOZjmlGM5EK8yDElIN9Zl1O/gquFGtp9NoiR
SKCgO105Uq5vviVSkc2gECY6rPyflvGfUdb/4tJmgNv+Mntr0VmKH5+fdyK6cEXN
8L9vnWj5V7XzZmRj9WWIkrK1X2tmyTQcLUgSeMreQIXsayZYftkSgCTtIA6gZvJW
BAqMYz5A5rigOrOo+RP7dSaVJlW4Hm6anrksKnoNfmVeVripdASQpVERM4OoK1u+
jObW0X8H0fO8CdfAUl6pUX1cbkkwE+sHku0LWsG7dkLTKIlPq5ecAvdGk6Sib1zH
pN0vgljxM6Emo/m3m4b01boAirbd9JhsemsYB5GT5roOPq2uTkEhRSlZ5Jge0iXI
Q3MRwCbrGxw3yDkG6yEc6/UlWLp3bogpfZFU5qZplbAEK/8WDFnd6B2d415YBxvJ
pJAZckrRG3OxVORX
=xnFY
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:28:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:28:01 2021
Received: from localhost ([127.0.0.1]:48638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMbKb-0005Xl-I4
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:28:01 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43922
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMbKa-0005XS-6Z
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:28:00 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630783674;
 bh=KJJyys59KI1V5IQNE2C9hbtLVk4PbmfipnOH1Se+unI=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=mogb4RgI/jEdmoIPwT7sKJKmVAc8F5ic6X9QYcX0gEWyfKLlIbSV+VXCXUL5s+3z0
 0yER7q/5zvzCA+zAhPzL9g+etfuAgPxFQa89g8c+7da/0ztrUT3JjVivfxQwZGKRN3
 7jB77/R1qGP4Z7TUOoclfgPwWGYGRcZsEyL+Pdac=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 8/9] gnu: Add rust-chunked-tansfer-1.
In-Reply-To: <7k1vuBbOx7HCn6OEWf67F8OZQD9ba-DLCaN7I6-HUWh7Wl1vnfxRWlz-syxBns2ls1cRsEwEGvShuuc2hFCLnt9xrUqQgBCANHSu2G_p2Z0=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <7k1vuBbOx7HCn6OEWf67F8OZQD9ba-DLCaN7I6-HUWh7Wl1vnfxRWlz-syxBns2ls1cRsEwEGvShuuc2hFCLnt9xrUqQgBCANHSu2G_p2Z0=@protonmail.com>
Date: Sat, 04 Sep 2021 21:27:53 +0200
Message-ID: <87sfyk3zuu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-chunked-transfer-1): New variable. ‘rust-chunked-transfer-0.3’
    should also be mentioned in the ChangeLog. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-chunked-transfer-1): New variable. ‘rust-chunked-transfer-0.3’
    should also be mentioned in the ChangeLog. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-chunked-transfer-1): New variable.

=E2=80=98rust-chunked-transfer-0.3=E2=80=99 should also be mentioned in the=
 ChangeLog.

> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index c77c8c87d1..9c331c7140 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -7890,17 +7890,19 @@ Python arrow.humanize.")
>  TimeZone trait for @code{rust-chrono}.")
>      (license (list license:expat license:asl2.0))))
>
> -(define-public rust-chunked-transfer-0.3
> +(define-public rust-chunked-transfer-1
>    (package
>      (name "rust-chunked-transfer")
> -    (version "0.3.1")
> +    (version "1.4.0")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (crate-uri "chunked_transfer" version))
> -       (file-name (string-append name "-" version ".tar.gz"))
> +       (file-name
> +        (string-append name "-" version ".tar.gz"))

No need for newline.  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzyLkVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5LUMP/jrYqU5BDg4uAqCQM/J7ddpPFFB8
z5nsrYtFF2Tzt12uEe42mJYvSS8XXoBAUWWURGU4aDUVWA3xO1w77/xVR4/EYW3V
JRGqFDJabkH+Gbi5KTCjndIwYljUeN1eUjmSrnsLxHZmgPiiBDsqpvyIMO9QU4Kq
3b6WEBPlV3s1IraApZpHgQZSCInry8ovhfWEfBC+sMn6Y7nBBDibdAH03BUTV8j/
FEfbr95eV697rI94UEml89bnvJm09eOkgahj9R8W15s8gQ4VktsoGfseLFguW8xq
hWNPIkdAnMoufcXgGna+7h9D+xtjJlkQjWDCneydaJU3yQJRaFZWK+m9zxI3f0V1
IVnlSOzu9lBGJ5U8FCvU+D/qn8LqIqrHYUnFj1mvx3v/q6ax2CpfoBdCyK5/oIhD
iUt7owQV/Fwh3ftx0Oh9Nz93Mvtf8eYrSiLOPXWN5osuFgQ+ceGI/DB+eFq2hWSM
uHgayP51FJwji4ZgH5grQX8nIQkRLwxDVqWDHpjrrdHMURdyp3v+I9tBsPvD9/sX
0m1rkTgXek13pEfcP1Of4Kpw0vtZnOuqfTSZOCeFrMDnl2/KXo2EVTFRkE5VfjXP
D6uZ6N2sB2J59wZwyYele6mpAIRAumfqktv5t7sKHkeFdylpU7tz16C7EYaIxObU
/kF1HwU/5xwhYl3V
=iX45
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:26:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:26:30 2021
Received: from localhost ([127.0.0.1]:48634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMbJ8-0005VU-2V
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:26:30 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43882
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMbJ5-0005VF-IP
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:26:28 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630783582;
 bh=/WJuQ6tanzrYqFVv/AIWOeJn35qLFMPyxR9Qi2I/3nw=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=fKzwlAQvFX5bOU+vpt/k1EyGgguf1Z+hc/GoGZ6ERj+9HDHNkKHm9e3xRm/AM7UT+
 IjTpG3NS12e+pD3l7EsHYCnuVKRPtYf1fMQA0OORc66ErqsE3NEuCx8bTs1zxO3dda
 LQyFTtods/aSQcWECe+dx2YkieqXhlKPGXR4JY1Q=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 7/9] gnu: Add rust-fdlimit-0.1.
In-Reply-To: <1xDAoKwwRYdzyxdVTSFjRpj9vFjkzuXYcBjBTH2TX_ALCFxBjl8OwhjL6QuiGsvx4I42-uZ9SqqjheurPg9PDj1b5coiB66n-Ss_C5KrFwM=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <1xDAoKwwRYdzyxdVTSFjRpj9vFjkzuXYcBjBTH2TX_ALCFxBjl8OwhjL6QuiGsvx4I42-uZ9SqqjheurPg9PDj1b5coiB66n-Ss_C5KrFwM=@protonmail.com>
Date: Sat, 04 Sep 2021 21:26:21 +0200
Message-ID: <87v93g3zxe.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
 * gnu/packages/crates-io.scm (rust-fdlimit-0.1): New variable. > > diff --git
 a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm > index
 6f82d15cbe..c77c8c87d1 100644 > --- a/gnu/packages/cra [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-fdlimit-0.1): New variable. > > diff --git
    a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm > index 6f82d15cbe..c77c8c87d1
    100644 > --- a/gnu/packages/cra [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-fdlimit-0.1): New variable.
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 6f82d15cbe..c77c8c87d1 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -16020,6 +16020,33 @@ it.")
>         (("rust-libc" ,rust-libc-0.2)
>          ("rust-winapi" ,rust-winapi-0.3))))))
>
> +(define-public rust-fdlimit-0.1
> +  (package
> +    (name "rust-fdlimit")
> +    (version "0.1.4")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (crate-uri "fdlimit" version))
> +       (file-name
> +        (string-append name "-" version ".tar.gz"))

Nit: Newline isn=E2=80=99t necessary.

> +       (sha256
> +        (base32
> +         "0g30d6gqkrwy8ylwdy7pqm443iq0p5dmnpz4ks41pirl7dclm98d"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +     `(#:skip-build?
> +       #t
> +       #:cargo-inputs
> +       (("rust-libc" ,rust-libc-0.2))))
> +    (home-page
> +     "https://github.com/paritytech/fdlimit")

Likewise.

> +    (synopsis
> +     "Utility crate for raising file descriptors limit for OSX and Linux=
")

Guix isn=E2=80=99t doesn=E2=80=99t supprot OSX, therefore, I don=E2=80=99t =
think OSX support
needs to be=20

> +    (description
> +     "Utility crate for raising file descriptors limit for OSX and Linux=
")

The description should consist of one or more complete sentences, see
=E2=80=9C16.4.4 Synopses and Descriptions=E2=80=9D for more details.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzyF0VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5FvUP/1pH3KS126TYSSKs/L67yqO7EkyR
pvf1tYvIW4JGjXkRefh2ucP5YFTRewbe0Md92XOt70GfwYBsAX8LRvVROTQnPxtQ
+WPToUyuOd3I5CI26Gu5Wb+MJVtX7m0QLvZ8Tr38L5kYE68CkKKXcIUzfJ9kDMJ3
sc1H2kfuFZ3QxZ3bNjzspgBJlK80PZTDPw6S7QHmKkdZ4KPbZdNReomkCI1m3Pab
GGp8s+er5jEDJ2AZTilyeN3u48DJnR2O9KkdQsMTZfDoqcuWNH6kVmJDR+uxWxw3
Po2MvtPzU4MdFUZfZbzSwb4kFiu38Tff6P26ZzSzmM3jQc6Mce7sGGE5wYitszb7
Hnqe7WSbir5i85I1dekIawieLfi8u8B6xln1KIJo0wZkBWmDoOKXhn2bm5jfhJsM
6lr7ea6mdOA3/bcxZqJqmKg+NPsVfbhiK7H0XSk/xEXHuGeQxNZrCl3dNaJzm0cg
2/xlqO8e+oniv1Qi2c0pbhCMCxtliAazJql297IyHS4rb2SZ2FENwgSSJBd40nAh
5QGs2WQ8uEIyfr6Z7WhLWxxGb34dYKZob4s1pQ0YTq3Y0+CiFUfDHAa6p40hN9Os
zewOKw3nYhFRJnEXkrJL7+jkLm/8kg//u66s+MsfAmYewauioXX8SHpojMjRmyE+
ix2N8zEahJV+XL1C
=/0A2
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:23:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:23:54 2021
Received: from localhost ([127.0.0.1]:48630 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMbGc-0005RG-Kj
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:23:54 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43824
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMbGa-0005R1-UU
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:23:53 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630783427;
 bh=LrpxtF9ec9e2wXbuKCZ8xMjspUXFi/GgYTN+b7d2rYQ=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=WSeHQ+9AzaN5P6Ejci67P/EBNOjBjeRA93e/R1b3ArsalCDHfJZTKYWsNG2iQe0C3
 mGAhSvaV6NZBkkoi/sk36dVHZGwFK20jGoCcnwQnLlJCD9vkrVrYfVtyN4LMBgvazs
 vAsukzxf9r9Q7YbrtZF65MsbPyHLaw5y+i7+YlvY=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 6/9] gnu: Add rust-libloading-0.7.
In-Reply-To: <964OWcye_BnBhOEwZvVdEGvfeKsPjqGfBkqOXGdk7VDEIRrqoHBFoaw_5MmToDh7h_XIq67Y0NNuSPYR2fj8zdRjfLtBG8NsT1cscKq3AIw=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <964OWcye_BnBhOEwZvVdEGvfeKsPjqGfBkqOXGdk7VDEIRrqoHBFoaw_5MmToDh7h_XIq67Y0NNuSPYR2fj8zdRjfLtBG8NsT1cscKq3AIw=@protonmail.com>
Date: Sat, 04 Sep 2021 21:23:46 +0200
Message-ID: <87y28c401p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
 * gnu/packages/crates-io.scm (rust-libloading-0.7): New variable. > > diff
 --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm > index
 e0b36cef51..6f82d15cbe 100644 > --- a/gnu/packages/ [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-libloading-0.7): New variable. > > diff
    --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm > index e0b36cef51..6f82d15cbe
    100644 > --- a/gnu/packages/ [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-libloading-0.7): New variable.
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index e0b36cef51..6f82d15cbe 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -24315,6 +24315,37 @@ loading utilities.")
>       `(("rust-cfg-if" ,rust-cfg-if-1)
>         ("rust-winapi" ,rust-winapi-0.3)))))
>
> +(define-public rust-libloading-0.7
> +  (package
> +    (name "rust-libloading")
> +    (version "0.7.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "libloading" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))

Nit: Newline isn=E2=80=99t necessary.

> +        (sha256
> +          (base32
> +            "0sidr67nsa693mqrqgk2np3bkqni0778yk147xncspy171jdk13g"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +      `(#:cargo-inputs
> +        (("rust-cfg-if" ,rust-cfg-if-1)
> +         ("rust-winapi" ,rust-winapi-0.3))
> +        #:cargo-development-inputs
> +        (("rust-libc" ,rust-libc-0.2)
> +         ("rust-static-assertions"
> +          ,rust-static-assertions-1))))
> +    (home-page
> +      "https://github.com/nagisa/rust_libloading/")

Likewise.

> +    (synopsis
> +      "Safer binding to platform=C3=A2\x80\x99s dynamic library loading =
utilities")

=E2=80=9Cplatform=C3=A2\x80\x99s=E2=80=9D looks a bit cryptic, and isn=E2=
=80=99t mentioned anywhere
in the project README.

> +    (description
> +      "This package provides a safer binding to platform=C3=A2\x80\x99s =
dynamic
> +library loading utilities")

Likewise.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzx8IVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x53f0P/3ReAcWxhNfmEkvwd7os+dwkueC9
Urwrbf84HDbghCIF7rVUtNGPUMQkVBKgEzzef/a2TotxCNECXyQWC8irjMHwosMQ
maZ/V1cxbVR35sK1EUIo71D5L28fHENGIRiv7EW4wDJrAi8I07XghRJ7KmEKLVM/
kOZ0ntbxhocjpZPw9+HMxQafvt0zA7G5p5YMO6aucCCsmyXZAi09EqghTgf8c8tJ
q6lbnqayO6C7zH2KU0q3aHrdMHay/3sv2qZ/p2e8+TUh6tX+A29hc4COKDub5Sxq
93RX4TqR+QHAKDopmRB7WV5QJEqfejKVISlpvicbMtndmR+KSdshV78XEk2DXTzx
O2JPGgFXGJylcde+bd06WnaNHyJBZkBQ7cZyKFnEzcWlZSZVLClyJEaeYKAL/uAH
5umMqe9vgfYUjb4hJCwLElI6EMScDEdv23UGOZH/LC00QviQy6A2hb1vpN+4F8+f
N2bnpNsP9BQTxSbhgiIXNamN9nxRhAGs25LJS5DBsxlqdAunkzwyFSG6xSea6hkS
pjhIiU6K9rguU+oy/0YwOuu+1BR7yO0NYfSqs3ad9ZHjBcb5etelKGzDB3kXkPyK
PUA5IZ70Fbe9FvyuWxJP1S++Rf6V4xvTb6mIMBcekDZDwlfrUwwgjFf+vJUEeli3
dSPCRdPPuZMv/DFD
=Qpvn
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:21:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:21:30 2021
Received: from localhost ([127.0.0.1]:48626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMbEI-0005Ne-69
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:21:30 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43770
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMbEG-0005NT-RW
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:21:29 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630783283;
 bh=mWlhJJP/HPISgNtwTorcDQr3amtKzwsQ3hzQyRs6Ga8=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=oAOd4S2Dnn2+7qFmf58Ng0RVoyTBNPYM464Ax8whRwRFqh+WO6xEf75MqmYvVsuiu
 g1VGCItZe1KWs1DY4pZtQmkzRjNSHkvmWqMTBHnWT5PlGcUOw8wZaPXNLjQJG2pX71
 BLoe/sLReq/pdRbp1UnSL7qrzgODNd8O/vaoR+rs=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 5/9] gnu: rust-deflate: Update to 0.9.1.
In-Reply-To: <dSeyDIv5vaCZ37ysQmyO8EyAwBINliBvjwfk8yf2JiG3aKJgeDrwxrSqe72z3Q8vh_k03nbK7RopA7iPqDPh-serJ1ZrJX5b-EzsPqCokIo=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <dSeyDIv5vaCZ37ysQmyO8EyAwBINliBvjwfk8yf2JiG3aKJgeDrwxrSqe72z3Q8vh_k03nbK7RopA7iPqDPh-serJ1ZrJX5b-EzsPqCokIo=@protonmail.com>
Date: Sat, 04 Sep 2021 21:21:22 +0200
Message-ID: <871r645eq5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
 * gnu/packages/crates-io.scm (rust-deflate): Update to 0.9.1. >
 [cargo-inputs]: Remove rust-byteorder-1. I suggest 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-deflate): Update to 0.9.1. > [cargo-inputs]:
    Remove rust-byteorder-1. I suggest 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-deflate): Update to 0.9.1.
> [cargo-inputs]: Remove rust-byteorder-1.

I suggest

  * gnu/packages/crates-io.scm (rust-deflate-0.9): New variable.
  (rust-deflate-0.8): Inherit from =E2=80=98rust-deflate-0.9=E2=80=99.
  (rust-deflate-0.7): Likewise.
=20=20
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 3df14a1d6d..e0b36cef51 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -12611,10 +12611,10 @@ type.")
>  thread.")
>      (license license:mpl2.0)))
>
> -(define-public rust-deflate-0.8
> +(define-public rust-deflate-0.9
>    (package
>      (name "rust-deflate")
> -    (version "0.8.6")
> +    (version "0.9.1")
>      (source
>        (origin
>          (method url-fetch)
> @@ -12623,13 +12623,12 @@ thread.")
>           (string-append name "-" version ".tar.gz"))
>          (sha256
>           (base32
> -          "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
> +          "0w0ww0hrq4bjnihxgbnrri4lj5c8yzg31fyzx36fd9pvvw2vz5az"))))
>      (build-system cargo-build-system)
>      (arguments
>       `(#:tests? #f      ; not all test files included
>         #:cargo-inputs
>         (("rust-adler32" ,rust-adler32-1)
> -        ("rust-byteorder" ,rust-byteorder-1)
>          ("rust-gzip-header" ,rust-gzip-header-0.3))
>         #:cargo-development-inputs
>         (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))
> @@ -12639,9 +12638,32 @@ thread.")
>       "This package provides a DEFLATE, zlib and gzip encoder written in =
rust.")
>      (license (list license:expat license:asl2.0))))
>
> +(define-public rust-deflate-0.8
> +  (package
> +    (inherit rust-deflate-0.9)
> +    (name "rust-deflate")
> +    (version "0.8.6")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (crate-uri "deflate" version))
> +        (file-name
> +          (string-append name "-" version ".tar.gz"))
> +        (sha256
> +         (base32
> +          "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
> +    (arguments
> +     `(#:tests? #f      ; not all test files included
> +       #:cargo-inputs
> +         (("rust-adler32" ,rust-adler32-1)
> +          ("rust-byteorder" ,rust-byteorder-1)
> +          ("rust-gzip-header" ,rust-gzip-header-0.3))
> +       #:cargo-development-inputs
> +         (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))))
> +
>  (define-public rust-deflate-0.7
>    (package
> -    (inherit rust-deflate-0.8)
> +    (inherit rust-deflate-0.9)
>      (name "rust-deflate")
>      (version "0.7.20")
>      (source
> --
> 2.32.0

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzxzIVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x50SUQAJaVamNe+ayfX4iZCMNG8UiW0oQ0
iZzF2844AjS/0y9urYUouvxo/eZLh9DBw7nAVLMMzASxnRGrPRm5uSS85brwT8vr
5QLwTZTUrmMiJbtDpvD12f0xQfpOqe52Cj0EvRJPRRRqMJ+d1+6EiqJs/IYJtdDn
j+16bra9EfmKnaf5XzwTXvJ+lud5sq4cdN26Pm6lMRYmpB0cQ2bTJrUtkLNzCfCs
kmLoy4PJR6xPz02nJ/7se/Unf9ewTRsHmxyJwyRgJH+224+CsWiR1shWmHzdqqeU
8JDu3/6y1zlugg2fKpHoncCazFuLSLI0UJA0M2V68oKl6tBDnav7+As3zBqEH29V
YHtoNH6IdSKhPKMgTerRifFdKAuYri67g5TsA1u45eFT48SN3H/VFbwk7Axl1xzb
RX4xrspDdhlwB/p0n74mpazHo3+1ib67l4m5Vzu41/iL4hKpxhp11KZ8qkl1SgXf
OHOqgXKjSGDUy+W1XMnmrlWnuTcbMbOZKNsR3IGOQG20sGqSvdYZHwgVSbFXj0C+
QCIiylim5Hv8xW5yePiyuX16b1Mk2CGgjiAWXWi7hJTQp4QX7oLm43SiQjDXJfcr
JItFR5YEnSVoP3dHXz0KF0B+6M0gRI4LcG4P3lYMksfbQBDrBQ3UurUcse6nTh3T
32DSSYSWPl6jLDJn
=1DfB
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:17:25 2021
Received: from localhost ([127.0.0.1]:48622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMbAL-0005Ga-Kf
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:17:25 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43670
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMbAK-0005GN-6g
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:17:24 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630783038;
 bh=ZUrfMQX1Cr67vTZ+XXG6LL1Fx5qYj41y6bq+fCK2U6E=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=SMjHWcVvp2qBICEXnU0m2YVwCuHk2sminUFLn5tRCNOzURQpNaflexBvx75l4xFYD
 fA18nksJqtO3isF9vwbI8MZJgmo3/Osp14gQmYaAk7XC1zQ4iTxsA4yoSoLB52R6uF
 XDI1koELKBzWAnI+ceEmU/ulbklJJO5SDJDdC0rI=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 4/9] gnu: Add rust-noise-0.7.
In-Reply-To: <gndXmFGx-ffPbGTDctwoLi1oyqj3pjs3OzMnS6Elf627UYghsAjwSCmeF7a57SDMR0ToaaoCiSudNei4rqL2CHuMLcnCJ63LG8XWbGtp1do=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <gndXmFGx-ffPbGTDctwoLi1oyqj3pjs3OzMnS6Elf627UYghsAjwSCmeF7a57SDMR0ToaaoCiSudNei4rqL2CHuMLcnCJ63LG8XWbGtp1do=@protonmail.com>
Date: Sat, 04 Sep 2021 21:17:17 +0200
Message-ID: <874kb05ewy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
 * gnu/packages/crates-io.scm (rust-noise-0.7): New variable. > > diff --git
 a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm > index
 3bcd20b9be..3df14a1d6d 100644 > --- a/gnu/packages/crate [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-noise-0.7): New variable. > > diff --git
    a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm > index 3bcd20b9be..3df14a1d6d
    100644 > --- a/gnu/packages/crate [...] 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-noise-0.7): New variable.
>
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 3bcd20b9be..3df14a1d6d 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -29108,6 +29108,34 @@ with all line endings.")
>        "Cross-platform filesystem notification library")
>      (license (list license:cc0 license:artistic2.0))))
>
> +(define-public rust-noise-0.7
> +  (package
> +    (name "rust-noise")
> +    (version "0.7.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (crate-uri "noise" version))
> +       (file-name
> +        (string-append name "-" version ".tar.gz"))
> +       (sha256
> +        (base32
> +         "0hsbw9gpsz8w9msvyvddygagd9wj93hqpg5pxz388laxfkb1s1c2"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +     `(#:cargo-inputs
> +       (("rust-image" ,rust-image-0.23)
> +        ("rust-rand" ,rust-rand-0.7)
> +        ("rust-rand-xorshift" ,rust-rand-xorshift-0.2))
> +       #:cargo-development-inputs
> +       (("rust-criterion" ,rust-criterion-0.3))))
> +    (home-page
> +     "https://github.com/razaekel/noise-rs")

Nit: A newline isn=E2=80=99t necessary.

> +    (synopsis "Procedural noise generation library")
> +    (description
> +     "Procedural noise generation library.")

The description should consist of one or more complete sentences.  See
=E2=80=9C16.4.4 Synopses and Descriptions=E2=80=9D in the manual.  Maybe (b=
ased on the
README)

  This pakcage provides a Rust library to generate smoothly varying
  noise for textural use and graphical display.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzxj0VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5LsEP/0v8wVN6JHEuoYGM7s9iAsBL7xmI
5SZSOzxleVmMRxB94z2KCZYEw+Cg1VIwuocCR7xUOEBkFXi8d5+mZ5LrWnzwvsU+
N5oPzzzwMaGYS9mig6fpC+ev54pJEMZYPksrqx9bibWFbXnuDyp2MBec7rlz/tpk
cqEJ7wsCQiCok3Np+aaE4I2OJ+1csIrmboFoCkfseqe5EaPmw7ILRV6zF9EnV6/g
qLc17P+nGEVEGsygRmPruqzvOkfT37PiKe9eNDBvmhsX976Z7i7nqWvbn9J62mWp
Gn5DZ8T4APE0XVKOLl+sOU3V0Gu50xf0Kjdqzvp6LfqgagnlIWLfyYhP7nXGU/FF
Ju3ukM6UzdCG5upXc6wfQ8v2SG3Ib5UXE3DUfZN1YQCxJ21Skxy8qPsgU14VeHcl
+T4C72q2KpjgVYETxakdd+uba2waVXXr8+ob5xGWDiQLW0yQuiuaZOHvbjQSMuUj
lEmvDRfQZmaE80mPsdNkpG9Kh6yG7kf23KDjjVu1gJ4TtbV6paDRXfbX+ClKwUHV
krRNN0KC0jRe7H6q2DuMwuEvovvmE70JS3LIa0bw1xz3/jI7WrHRR1vktQ5rZA0h
CotUWoGuAIeCqUxbxWLlkoY92DwJPNSPK4cmjVPQtHFsIM9QEx1NO4izYPnLQBgY
CyY2YxlMHjA78Khj
=ysZP
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:14:06 2021
Received: from localhost ([127.0.0.1]:48617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMb78-0005B5-5h
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:14:06 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43592
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMb77-0005AT-HG
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:14:05 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630782839;
 bh=UYOOtSMdu0k0wAeiODgKC1kSqe5sEQEL6Zgc1WFt5b4=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=h/RyAVNqvozQpVkOECQ7jbQAgk+0PS2GnnGbwHLXiU2wlYO0KbByeQkIg9DISV2aA
 rHbK0P9XZgaq+YfkjsxLztWkfa6wFcdCaANLVcrSVRvjm1/TLiQfKZGYFr2tsTqvjX
 oEPbHHTTPnKTvgsEgzJKEMB1vcP0F/dUEv+s6Zz8=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 3/9] gnu: rust-base64-0.13: Fix inputs.
In-Reply-To: <_rQ-meC0bEaB9dFPRGuADzA8Wt9koUc7hnOqDRsPxh432-oLANU9b71LTBINSWhnqPrLLTBfbSiVSVXVNTdw0BU4GRcQEkz54SOAC-a3Qz4=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <_rQ-meC0bEaB9dFPRGuADzA8Wt9koUc7hnOqDRsPxh432-oLANU9b71LTBINSWhnqPrLLTBfbSiVSVXVNTdw0BU4GRcQEkz54SOAC-a3Qz4=@protonmail.com>
Date: Sat, 04 Sep 2021 21:13:59 +0200
Message-ID: <877dfw5f2g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
 * gnu/packages/crates-io.scm > (rust-base64-0.13)[cargo-development-inputs]:
 Substitute rust-criterion version 0.3.2 to 0.3.3. It should be
 [arguments]<#:phases>.
 Please keep lines to <80 characters long. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: yoctocell.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm > (rust-base64-0.13)[cargo-development-inputs]:
    Substitute rust-criterion version 0.3.2 to 0.3.3. It should be [arguments]<#:phases>.
    Please keep lines to <80 characters long. 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

>     * gnu/packages/crates-io.scm
>       (rust-base64-0.13)[cargo-development-inputs]: Substitute rust-criterion version 0.3.2 to 0.3.3.

It should be [arguments]<#:phases>.  Please keep lines to <80 characters long.

> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 2cd07b513c..3bcd20b9be 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -4110,7 +4110,13 @@ c6e7d37.  However, this package works only up to 128 bytes.")
>         #:cargo-development-inputs
>         (("rust-criterion" ,rust-criterion-0.3)
>          ("rust-rand" ,rust-rand-0.6)
> -        ("rust-structopt" ,rust-structopt-0.3))))
> +        ("rust-structopt" ,rust-structopt-0.3))
> +       #:phases
> +        (modify-phases %standard-phases
> +         (add-after 'unpack 'fix-criterion-minor-version
> +          (lambda* _
> +           (substitute* "Cargo.toml"
> +            (("0.3.2") "0.3.3")))))))
>      (home-page "https://github.com/marshallpierce/rust-base64")
>      (synopsis "Encodes and decodes base64 as bytes or utf8")
>      (description
> --
> 2.32.0

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzxXcVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x58ycQAMEDBKFyrWiE9qiM8Ltng1ev7wQn
40Te92zzux0ZsWKeSjmRNjsgHnsLlZyJ+HmKYqXv6T1Rf7hQ96C4hl4zixME7kXe
7SPMN+6B1Yxd9StVw1cN6X15Blhcdj0Cs6pxf74k9WxPXNzJKwVqU2O5kZS7yhh/
01lisjEvkTn5LbGwPPtUxAxwVBhBVZGjqqUQ6mieODfW9Ze5/hUQzfYLka4hNfd4
oMG+ERzfaQMu1Z15HKBi5zDt17Jk8iALeqhtBcM6WUP9XfHNw88ug3wnXKySPU5d
ye4lYur2il5UaG6MS/xrqg4/TuChEmvmUIentB1erK/Vm0YkqxbOUh13MYFWMBlw
JfFt55Vr9YumCzcF8sjcDwMP/0Q/sv8AwlMg7SHkpibFGp9cwyJMGUfeOHsQtUxO
G1tULPUUcdvtiVNDuZaAVjG2vLCUEBM/fddU2b1opzPs7YaLNqqhY/SuD2YL3pvL
/SdfI/y8+cJ7zld0TupaG5yhCjokuc863SYrXsSX6IIeHTE2yT6w+DNm4jBeVVId
Qmfhyz9y3Z9GAQJL4VQSukMb8iDV7SDpNXko7FWyeAxvvC2m1X6RZdncXXNthW5Y
5vEfEjS9Tns0W3Z8XiTy/p1KyfaI+Nnl8gx4yApZsOJb1ww//+wDm+aF5X4imDhu
e9ZqhJjuUCmBvuIO
=yOzr
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 19:11:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 15:11:03 2021
Received: from localhost ([127.0.0.1]:48612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMb4B-00056R-LW
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:11:03 -0400
Received: from h87-96-130-155.cust.a3fiber.se ([87.96.130.155]:43520
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1mMb49-00055i-57
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 15:11:01 -0400
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=yoctocell.xyz;
 s=mail; t=1630782654;
 bh=483FcepPwMo/25kF26+BgEV1s/CrdyZpkt0TPfzswQ0=;
 h=From:To:Subject:In-Reply-To:References:Date;
 b=DWM9oYEioDaGfJbRJ5+8ycHyWugt4vNgjqNf5FdOcJQgfDBIq8zjQVHsSd2EgPrl7
 gjcainnHa8WvlznACVmQzYPnjNXKvU8ArvesGps7MduwIKaCVoLF+uG+cpQpl6l8aH
 FxJA8KnWtC3ghaBtnB3ZaEeqAkk8nqni1NVbQBFo=
To: phodina <phodina@HIDDEN>, "50368 <at> debbugs.gnu.org"
 <50368 <at> debbugs.gnu.org>
Subject: Re: [bug#50368] [PATCH 2/9] gnu: Add rust-multipart-0.18.
In-Reply-To: <dhUyrIUpKpzH5RfFiyJ6SeWs0pLs1HgZN9vdtgEDGkEd5EjcYOK3gNSrYGnL_UX6inOnhQP3D8Zj6pGinDN-OaqR_TjDjDpupWgRQfJJ-OE=@protonmail.com>
References: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
 <dhUyrIUpKpzH5RfFiyJ6SeWs0pLs1HgZN9vdtgEDGkEd5EjcYOK3gNSrYGnL_UX6inOnhQP3D8Zj6pGinDN-OaqR_TjDjDpupWgRQfJJ-OE=@protonmail.com>
Date: Sat, 04 Sep 2021 21:10:53 +0200
Message-ID: <87a6ks5f7m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-multipart-0.18): New variable. ‘rust-multipart-0.17’
    should also be mentioned here. Maybe 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Sep 04 2021, phodina via Guix-patches via wrote: >
    * gnu/packages/crates-io.scm (rust-multipart-0.18): New variable. ‘rust-multipart-0.17’
    should also be mentioned here. Maybe 
 
 Content analysis details:   (2.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Sat, Sep 04 2021, phodina via Guix-patches via wrote:

> * gnu/packages/crates-io.scm (rust-multipart-0.18): New variable.

=E2=80=98rust-multipart-0.17=E2=80=99 should also be mentioned here.  Maybe

  (rust-multipart-0.17): Inherit from =E2=80=98rust-multipart-0.18=E2=80=99.

?

> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 605106f9fa..2cd07b513c 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -27367,21 +27367,22 @@ which defines a default trait implementation, a=
nd @code{trait_impl} which uses
>  a default trait implementation you've defined.")
>      (license license:lgpl2.1+)))
>
> -(define-public rust-multipart-0.17
> +(define-public rust-multipart-0.18
>    (package
>      (name "rust-multipart")
> -    (version "0.17.1")
> +    (version "0.18.0")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (crate-uri "multipart" version))
> -       (file-name (string-append name "-" version ".tar.gz"))
> +       (file-name
> +        (string-append name "-" version ".tar.gz"))

Why is this necessary?

>         (sha256
> -        (base32 "1m3nrydgc56wjixsahipmvjgnxnw2cz7w8ryghsgahwjr3nswl6h"))=
))
> +        (base32
> +         "10libwfbazqcyxcpgpcdf1a66jnzghwlmxlxnffg4rrqhqrwdph0"))))
>      (build-system cargo-build-system)
>      (arguments
> -     `(#:skip-build? #t
> -       #:cargo-inputs
> +     `(#:cargo-inputs
>         (("rust-buf-redux" ,rust-buf-redux-0.8)
>          ("rust-clippy" ,rust-clippy-0.0)
>          ("rust-httparse" ,rust-httparse-1)
> @@ -27393,7 +27394,7 @@ a default trait implementation you've defined.")
>          ("rust-mime-guess" ,rust-mime-guess-2)
>          ("rust-nickel" ,rust-nickel-0.11)
>          ("rust-quick-error" ,rust-quick-error-1)
> -        ("rust-rand" ,rust-rand-0.7)
> +        ("rust-rand" ,rust-rand-0.8)
>          ("rust-rocket" ,rust-rocket-0.4)
>          ("rust-safemem" ,rust-safemem-0.3)
>          ("rust-tempfile" ,rust-tempfile-3)
> @@ -27401,7 +27402,8 @@ a default trait implementation you've defined.")
>          ("rust-twoway" ,rust-twoway-0.1))
>         #:cargo-development-inputs
>         (("rust-env-logger" ,rust-env-logger-0.5))))
> -    (home-page "https://github.com/abonander/multipart")
> +    (home-page
> +     "https://github.com/abonander/multipart")

Please avoid these kind of formatting changes.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmEzxL0VHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x5SjQQAIq5QoLCvLRn8iqrVeooCsYj/+Qk
fRUOqJCpdpXnQj3P3TCNZOGL3n3hpV1NXLs2gXKpnv5wxz19FKHD3gpsBMb0K27U
Qa9s7TMq8HS1OkgxE6/vWEC2+I+s07JVRlrpy0N3iic4K1EevIwu5wmCDzUSArUm
FbxJDY9yj6e9Xu4906Ikq+CWbJfth000VmtIqTMPNnDxlnu+7kAdT7Hhpm8SrhH4
fuP5P3ZNNYRvp6X25huupz8lH6oCNMYN1Uk+QvC4s5rbJqOpjpI480ylahQJDsl8
M8VAKlv5DOpRAqM+KzKIQIgq4kPfuEmh6ARgtTYR7k5x3zvOrR+YECGnIgxqT9xv
3nt87bAEQU7cfArZmvLJTfUF/ssLpfqMeEFSI1/7Ox2xRSu8ZPvGXLiD2oM0KGMi
Y5jGOEockq6xYf6bmxV4j69QQGtlhcIUkr0OO85aXFdYqYR/rIBnjeFz0z1muuWb
0VXNh8c4+XrQoCFn8oZGQH7ZM9B4m4fHXXhYGYdEidOHujTc3/kkHd/YqOu6ziVt
Fvyeie4xHZj0EvLulJKyDaJt99Upggw/DuSb4rc3BZUNmQlcNmx5dkJ94dzDbrHc
R7bg2W6szHx9NitXOn7VgBePUotK+ezjvVbVj8kQl74b36nyox5Gj1DJKcA8xS9E
hD6J3m5hfiAmYMxC
=QhwJ
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:06:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:06:28 2021
Received: from localhost ([127.0.0.1]:46616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRd5-0007xO-Vx
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:06:28 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:49431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRd4-0007x8-ER
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:06:26 -0400
Date: Sat, 04 Sep 2021 09:06:16 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746380;
 bh=3cXdY2LpGkLlEDgq0xeiir8BHVBltxMimsasJKKejhg=;
 h=Date:To:From:Reply-To:Subject:From;
 b=B2rRZRO2IOvLNwkkWHwbo3Dbkyjxr2MD2eYReDhSvwWuvacH4E7qWWq3F+DdfTh/o
 0kKX/QwCazW7mgdmFdpxyb92Rs0KbSE8sAQlUd3pah0CjlvtyVye3DHIXjDmXPa8BF
 owo3m9iSvvyHFnCCPadFFPLSCpXzER1XipbbJ9aQ=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 9/9] gnu: Add rust-tiny-http-0.8.
Message-ID: <16QDEht90be1FeTK5-0tpYmUtdkhCiAEWhCUE7vaGboZY_hE3GtkzZBc0ZTgBpyf0vETIuENyQ90MB1Ml8kQizQW7saHac16fn44JHDUaAc=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-tiny-http-0.8): New variable.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9c331c7140..68a3f79353 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -49233,8 +49233,43 @@ closures after a delay or at a given timestamp.")
 manipulation in Rust.")
     (license license:expat)))

+(define-public rust-tiny-http-0.8
+  (package
+    (name "rust-tiny-http")
+    (version "0.8.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "tiny-http" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0fcdwpb2ghk671qjjrk6048hs3yp7f681hxpr68gamk00181prcw"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-ascii" ,rust-ascii-1)
+        ("rust-chrono" ,rust-chrono-0.4)
+        ("rust-chunked-transfer"
+         ,rust-chunked-transfer-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-openssl" ,rust-openssl-0.10)
+        ("rust-url" ,rust-url-2))
+       #:cargo-development-inputs
+       (("rust-fdlimit" ,rust-fdlimit-0.1)
+        ("rust-rustc-serialize"
+         ,rust-rustc-serialize-0.3)
+        ("rust-sha1" ,rust-sha1-0.6))))
+    (home-page
+     "https://github.com/tiny-http/tiny-http")
+    (synopsis "Low level HTTP server library")
+    (description "This package provides a low level HTTP server library.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-tiny-http-0.6
   (package
+    (inherit rust-tiny-http-0.8)
     (name "rust-tiny-http")
     (version "0.6.2")
     (source
@@ -49244,7 +49279,6 @@ manipulation in Rust.")
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "0la95daknfh8g951ddb2zdz6av2459rncp6h9dh02pf98h5glq8n"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
        #:cargo-inputs
@@ -49253,11 +49287,7 @@ manipulation in Rust.")
         ("rust-chunked-transfer" ,rust-chunked-transfer-0.3)
         ("rust-log" ,rust-log-0.4)
         ("rust-openssl" ,rust-openssl-0.10)
-        ("rust-url" ,rust-url-1))))
-    (home-page "https://github.com/tiny-http/tiny-http")
-    (synopsis "Low level HTTP server library")
-    (description "This package provides a low level HTTP server library.")
-    (license license:asl2.0)))
+        ("rust-url" ,rust-url-1))))))

 (define-public rust-tiny-keccak-2
   (package
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:05:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:05:30 2021
Received: from localhost ([127.0.0.1]:46612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRcA-0007vG-Mh
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:05:30 -0400
Received: from mail-40136.protonmail.ch ([185.70.40.136]:63587)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRc9-0007uv-6c
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:05:29 -0400
Date: Sat, 04 Sep 2021 09:05:21 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746322;
 bh=A4OSRlkQofQ6wv4MU2S/MdtRLgVsXKCSwTJC/+nB07c=;
 h=Date:To:From:Reply-To:Subject:From;
 b=DmSO+n3kxl/9on9Zqg9oowi8ye+FBKoj4tgnHKmZeGs7DC7eCGo/6rdIt2Zdf6txF
 Wmz2GKusdFJu6xAdtiU1EaA+bip17FMnstTsj20baeUjSLud9c7PKqFIHY3G8bkPng
 yDvpnAJT+Wv0qdiYD+XXXdfQsPIpLn5fIeUeI7rU=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 8/9] gnu: Add rust-chunked-tansfer-1.
Message-ID: <7k1vuBbOx7HCn6OEWf67F8OZQD9ba-DLCaN7I6-HUWh7Wl1vnfxRWlz-syxBns2ls1cRsEwEGvShuuc2hFCLnt9xrUqQgBCANHSu2G_p2Z0=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-chunked-transfer-1): New variable.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c77c8c87d1..9c331c7140 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -7890,17 +7890,19 @@ Python arrow.humanize.")
 TimeZone trait for @code{rust-chrono}.")
     (license (list license:expat license:asl2.0))))

-(define-public rust-chunked-transfer-0.3
+(define-public rust-chunked-transfer-1
   (package
     (name "rust-chunked-transfer")
-    (version "0.3.1")
+    (version "1.4.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "chunked_transfer" version))
-       (file-name (string-append name "-" version ".tar.gz"))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "11yghnd24w0i9p8g368c3pg7qh9nfz7kgri6pywja9pnmakj13a9"))))
+        (base32
+         "0bkdlsrszfcscw3j6yhs7kj6jbp8id47jjk6h9k58px47na5gy7z"))))
     (build-system cargo-build-system)
     (arguments `(#:skip-build? #t))
     (home-page "https://github.com/frewsxcv/rust-chunked-transfer")
@@ -7910,6 +7912,19 @@ TimeZone trait for @code{rust-chrono}.")
 coding.")
     (license license:asl2.0)))

+(define-public rust-chunked-transfer-0.3
+  (package
+    (inherit rust-chunked-transfer-1)
+    (name "rust-chunked-transfer")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "chunked_transfer" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "11yghnd24w0i9p8g368c3pg7qh9nfz7kgri6pywja9pnmakj13a9"))))=
))
+
 (define-public rust-ci-info-0.3
   (package
     (name "rust-ci-info")
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:04:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:04:39 2021
Received: from localhost ([127.0.0.1]:46608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRbL-0007t0-Di
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:04:39 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:19233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRbJ-0007sm-IW
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:04:38 -0400
Date: Sat, 04 Sep 2021 09:04:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746271;
 bh=JlJfhybOvLWGH8CegOZHlVMe/zI4CGbki3eLD0AMUKM=;
 h=Date:To:From:Reply-To:Subject:From;
 b=DqabNPdFMYo4IKDmMhXmNbjaBDh1n6030nvZgnyTma2a1S2pXDhaLCeDyVFu7E36v
 AyTjZYU+lU2chDrGPfOegdKV3KxzqpUWvYwd5J8FpVrkG+K+Vy/CaKhZ8U5rhpFd2G
 IlSC+FD3ZQeScOv2QSDWibKArEMVYuiI49pEL7ew=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 7/9] gnu: Add rust-fdlimit-0.1.
Message-ID: <1xDAoKwwRYdzyxdVTSFjRpj9vFjkzuXYcBjBTH2TX_ALCFxBjl8OwhjL6QuiGsvx4I42-uZ9SqqjheurPg9PDj1b5coiB66n-Ss_C5KrFwM=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-fdlimit-0.1): New variable.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 6f82d15cbe..c77c8c87d1 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16020,6 +16020,33 @@ it.")
        (("rust-libc" ,rust-libc-0.2)
         ("rust-winapi" ,rust-winapi-0.3))))))

+(define-public rust-fdlimit-0.1
+  (package
+    (name "rust-fdlimit")
+    (version "0.1.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fdlimit" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0g30d6gqkrwy8ylwdy7pqm443iq0p5dmnpz4ks41pirl7dclm98d"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build?
+       #t
+       #:cargo-inputs
+       (("rust-libc" ,rust-libc-0.2))))
+    (home-page
+     "https://github.com/paritytech/fdlimit")
+    (synopsis
+     "Utility crate for raising file descriptors limit for OSX and Linux")
+    (description
+     "Utility crate for raising file descriptors limit for OSX and Linux")
+    (license license:asl2.0)))
+
 (define-public rust-femme-2
   (package
     (name "rust-femme")
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:03:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:03:47 2021
Received: from localhost ([127.0.0.1]:46604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRaV-0007rF-4U
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:03:47 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:24812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRaT-0007qy-DZ
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:03:45 -0400
Date: Sat, 04 Sep 2021 09:03:37 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746219;
 bh=RDkf6rNoDobm3j0q0bviXg4c8ESW6IcZsOkeiqfOrts=;
 h=Date:To:From:Reply-To:Subject:From;
 b=Q5n6P6RJnKlhw5Y0uEH6DScubSDx5+53hTGV57czLNl44jMXTr5IMdN3WmInrnU9K
 WXZgMcO6Gcc3jno6stacRAhqtunJIKzrvhgiDykgB9oAmneRla2sh4CyPuesxGTvR+
 7sBJfbCqC/9yFq8rUqhVSaAdqwHJi9l/WPCGtYrU=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 6/9] gnu: Add rust-libloading-0.7.
Message-ID: <964OWcye_BnBhOEwZvVdEGvfeKsPjqGfBkqOXGdk7VDEIRrqoHBFoaw_5MmToDh7h_XIq67Y0NNuSPYR2fj8zdRjfLtBG8NsT1cscKq3AIw=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-libloading-0.7): New variable.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index e0b36cef51..6f82d15cbe 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -24315,6 +24315,37 @@ loading utilities.")
      `(("rust-cfg-if" ,rust-cfg-if-1)
        ("rust-winapi" ,rust-winapi-0.3)))))

+(define-public rust-libloading-0.7
+  (package
+    (name "rust-libloading")
+    (version "0.7.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "libloading" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32
+            "0sidr67nsa693mqrqgk2np3bkqni0778yk147xncspy171jdk13g"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-cfg-if" ,rust-cfg-if-1)
+         ("rust-winapi" ,rust-winapi-0.3))
+        #:cargo-development-inputs
+        (("rust-libc" ,rust-libc-0.2)
+         ("rust-static-assertions"
+          ,rust-static-assertions-1))))
+    (home-page
+      "https://github.com/nagisa/rust_libloading/")
+    (synopsis
+      "Safer binding to platform=C3=A2\x80\x99s dynamic library loading ut=
ilities")
+    (description
+      "This package provides a safer binding to platform=C3=A2\x80\x99s dy=
namic
+library loading utilities")
+    (license license:isc)))
+
 (define-public rust-libloading-0.5
   (package
     (name "rust-libloading")
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:02:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:02:44 2021
Received: from localhost ([127.0.0.1]:46600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRZT-0007ov-Pz
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:02:44 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:51799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRZR-0007oh-QT
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:02:42 -0400
Date: Sat, 04 Sep 2021 09:02:32 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746155;
 bh=olpLQZCYlOQ2Dmm5fY+5Fuusv0Wjx25EPjqN/3W6HgE=;
 h=Date:To:From:Reply-To:Subject:From;
 b=lvEDgGIa/RyHMARUoD+FsA8tMvQRsn4ec/iTwQXlMIFEkJDcvJ+dW/l33Z0FdZEAU
 KPy1AKFTL5NX4JjKPiRAXhqyYais1SNy+8zA+X+OrHOVFjtaydaite2mWsbrNNLXz2
 2Mr4eZ/5B91qysKQzPcT+H2PC0E5Qo6XQdMFT4TM=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 5/9] gnu: rust-deflate: Update to 0.9.1.
Message-ID: <dSeyDIv5vaCZ37ysQmyO8EyAwBINliBvjwfk8yf2JiG3aKJgeDrwxrSqe72z3Q8vh_k03nbK7RopA7iPqDPh-serJ1ZrJX5b-EzsPqCokIo=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-deflate): Update to 0.9.1.
[cargo-inputs]: Remove rust-byteorder-1.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3df14a1d6d..e0b36cef51 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -12611,10 +12611,10 @@ type.")
 thread.")
     (license license:mpl2.0)))

-(define-public rust-deflate-0.8
+(define-public rust-deflate-0.9
   (package
     (name "rust-deflate")
-    (version "0.8.6")
+    (version "0.9.1")
     (source
       (origin
         (method url-fetch)
@@ -12623,13 +12623,12 @@ thread.")
          (string-append name "-" version ".tar.gz"))
         (sha256
          (base32
-          "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
+          "0w0ww0hrq4bjnihxgbnrri4lj5c8yzg31fyzx36fd9pvvw2vz5az"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; not all test files included
        #:cargo-inputs
        (("rust-adler32" ,rust-adler32-1)
-        ("rust-byteorder" ,rust-byteorder-1)
         ("rust-gzip-header" ,rust-gzip-header-0.3))
        #:cargo-development-inputs
        (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))
@@ -12639,9 +12638,32 @@ thread.")
      "This package provides a DEFLATE, zlib and gzip encoder written in ru=
st.")
     (license (list license:expat license:asl2.0))))

+(define-public rust-deflate-0.8
+  (package
+    (inherit rust-deflate-0.9)
+    (name "rust-deflate")
+    (version "0.8.6")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "deflate" version))
+        (file-name
+          (string-append name "-" version ".tar.gz"))
+        (sha256
+         (base32
+          "0x6iqlayg129w63999kz97m279m0jj4x4sm6gkqlvmp73y70yxvk"))))
+    (arguments
+     `(#:tests? #f      ; not all test files included
+       #:cargo-inputs
+         (("rust-adler32" ,rust-adler32-1)
+          ("rust-byteorder" ,rust-byteorder-1)
+          ("rust-gzip-header" ,rust-gzip-header-0.3))
+       #:cargo-development-inputs
+         (("rust-miniz-oxide" ,rust-miniz-oxide-0.3))))))
+
 (define-public rust-deflate-0.7
   (package
-    (inherit rust-deflate-0.8)
+    (inherit rust-deflate-0.9)
     (name "rust-deflate")
     (version "0.7.20")
     (source
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:01:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:01:16 2021
Received: from localhost ([127.0.0.1]:46596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRY4-0007m5-ER
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:01:16 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:40390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRY3-0007lp-38
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:01:15 -0400
Date: Sat, 04 Sep 2021 09:01:07 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746068;
 bh=cz0stN5nUYF0tUqcAtomsuK7zrqiApqKp3YWQ+hzBmw=;
 h=Date:To:From:Reply-To:Subject:From;
 b=t/hl3Bo2ZjIEXGfY8N8j/h5QoeKgu1V2yc2XjBqwj57dAIZrXlIUUj2CownmkgAoM
 BYFT+ZA4kDnUtxjXGs5g/vFQQ1B9PnDeBg6KVvIpJ7cr5PIKHp5pPuTH6mupXQNCrB
 /bx5g4eFfkUYggcttOP4TmQpUhRS2H9qfIU3fhlQ=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 4/9] gnu: Add rust-noise-0.7.
Message-ID: <gndXmFGx-ffPbGTDctwoLi1oyqj3pjs3OzMnS6Elf627UYghsAjwSCmeF7a57SDMR0ToaaoCiSudNei4rqL2CHuMLcnCJ63LG8XWbGtp1do=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-noise-0.7): New variable.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 3bcd20b9be..3df14a1d6d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -29108,6 +29108,34 @@ with all line endings.")
       "Cross-platform filesystem notification library")
     (license (list license:cc0 license:artistic2.0))))

+(define-public rust-noise-0.7
+  (package
+    (name "rust-noise")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "noise" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0hsbw9gpsz8w9msvyvddygagd9wj93hqpg5pxz388laxfkb1s1c2"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-image" ,rust-image-0.23)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rand-xorshift" ,rust-rand-xorshift-0.2))
+       #:cargo-development-inputs
+       (("rust-criterion" ,rust-criterion-0.3))))
+    (home-page
+     "https://github.com/razaekel/noise-rs")
+    (synopsis "Procedural noise generation library")
+    (description
+     "Procedural noise generation library.")
+    (license (list license:asl2.0 license:expat))))
+
 (define-public rust-notify-4
   (package
     (inherit rust-notify-5)
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 09:00:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 05:00:10 2021
Received: from localhost ([127.0.0.1]:46592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRX0-0007jc-1D
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:00:10 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:14722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRWx-0007i6-Rb
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 05:00:08 -0400
Date: Sat, 04 Sep 2021 08:59:57 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630746001;
 bh=z/NOTs363w5bMPpJPzdA6SwSaGdDnGmThjHZb8uzC9c=;
 h=Date:To:From:Reply-To:Subject:From;
 b=UUJV6YTj9bwcOyVI34wWGtq/vdz1GPVPncukfo6wBHrnX9PX6clGRl1ZK2fO6ILY8
 KD3NRJwXvnlJSZtCvoyAmAMPKyIaIEGHP4Jmeft9p7Ox+0jLReeJa34WpuGlOemipp
 l5kvKm08lQfPxxriwIAZJTjk1/ro9n5GgIHsPlj8=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 3/9] gnu: rust-base64-0.13: Fix inputs.
Message-ID: <_rQ-meC0bEaB9dFPRGuADzA8Wt9koUc7hnOqDRsPxh432-oLANU9b71LTBINSWhnqPrLLTBfbSiVSVXVNTdw0BU4GRcQEkz54SOAC-a3Qz4=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

    * gnu/packages/crates-io.scm
      (rust-base64-0.13)[cargo-development-inputs]: Substitute rust-criteri=
on version 0.3.2 to 0.3.3.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 2cd07b513c..3bcd20b9be 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -4110,7 +4110,13 @@ c6e7d37.  However, this package works only up to 128=
 bytes.")
        #:cargo-development-inputs
        (("rust-criterion" ,rust-criterion-0.3)
         ("rust-rand" ,rust-rand-0.6)
-        ("rust-structopt" ,rust-structopt-0.3))))
+        ("rust-structopt" ,rust-structopt-0.3))
+       #:phases
+        (modify-phases %standard-phases
+         (add-after 'unpack 'fix-criterion-minor-version
+          (lambda* _
+           (substitute* "Cargo.toml"
+            (("0.3.2") "0.3.3")))))))
     (home-page "https://github.com/marshallpierce/rust-base64")
     (synopsis "Encodes and decodes base64 as bytes or utf8")
     (description
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at 50368 <at> debbugs.gnu.org:


Received: (at 50368) by debbugs.gnu.org; 4 Sep 2021 08:59:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 04:59:12 2021
Received: from localhost ([127.0.0.1]:46588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRW4-0007g0-FA
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 04:59:12 -0400
Received: from mail-4322.protonmail.ch ([185.70.43.22]:31615)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRW0-0007fe-2p
 for 50368 <at> debbugs.gnu.org; Sat, 04 Sep 2021 04:59:12 -0400
Date: Sat, 04 Sep 2021 08:58:59 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630745941;
 bh=82M56gGo5qRrxukichYf9LkX95eM715WDtNvGaWG2fw=;
 h=Date:To:From:Reply-To:Subject:From;
 b=uG0vKx/tVQIXavGVcH6KaRiOrVUbV+gEdjqAxM35bXbVWscaBk2kLZy13yBIXT+4E
 JPxaKkovran6jt2gexZ7WcXoAqcvsvnQDugboal6E/Nk0ozLa7AFqxGLdZYvfC63h6
 YoBVbLa7TNIkZZiiWyu1kpme2O6naI3YUY/TJYbo=
To: "50368 <at> debbugs.gnu.org" <50368 <at> debbugs.gnu.org>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 2/9] gnu: Add rust-multipart-0.18.
Message-ID: <dhUyrIUpKpzH5RfFiyJ6SeWs0pLs1HgZN9vdtgEDGkEd5EjcYOK3gNSrYGnL_UX6inOnhQP3D8Zj6pGinDN-OaqR_TjDjDpupWgRQfJJ-OE=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/crates-io.scm (rust-multipart-0.18): New
 variable.
 diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm index
 605106f9fa..2cd07b513c 100644 --- a/gnu/packages/crates-io.scm +++
 b/gnu/packages/crates-io.scm
 @@ -27367,21 +27367,22 @@ whi [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [185.70.43.22 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (phodina[at]protonmail.com)
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.3 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: 50368
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/crates-io.scm (rust-multipart-0.18): New variable.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 605106f9fa..2cd07b513c 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -27367,21 +27367,22 @@ which defines a default trait implementation, and=
 @code{trait_impl} which uses
 a default trait implementation you've defined.")
     (license license:lgpl2.1+)))

-(define-public rust-multipart-0.17
+(define-public rust-multipart-0.18
   (package
     (name "rust-multipart")
-    (version "0.17.1")
+    (version "0.18.0")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "multipart" version))
-       (file-name (string-append name "-" version ".tar.gz"))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1m3nrydgc56wjixsahipmvjgnxnw2cz7w8ryghsgahwjr3nswl6h"))))
+        (base32
+         "10libwfbazqcyxcpgpcdf1a66jnzghwlmxlxnffg4rrqhqrwdph0"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-buf-redux" ,rust-buf-redux-0.8)
         ("rust-clippy" ,rust-clippy-0.0)
         ("rust-httparse" ,rust-httparse-1)
@@ -27393,7 +27394,7 @@ a default trait implementation you've defined.")
         ("rust-mime-guess" ,rust-mime-guess-2)
         ("rust-nickel" ,rust-nickel-0.11)
         ("rust-quick-error" ,rust-quick-error-1)
-        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rand" ,rust-rand-0.8)
         ("rust-rocket" ,rust-rocket-0.4)
         ("rust-safemem" ,rust-safemem-0.3)
         ("rust-tempfile" ,rust-tempfile-3)
@@ -27401,7 +27402,8 @@ a default trait implementation you've defined.")
         ("rust-twoway" ,rust-twoway-0.1))
        #:cargo-development-inputs
        (("rust-env-logger" ,rust-env-logger-0.5))))
-    (home-page "https://github.com/abonander/multipart")
+    (home-page
+     "https://github.com/abonander/multipart")
     (synopsis
      "Backend-agnostic extension for file uploads in HTTP libraries for Ru=
st")
     (description
@@ -27410,6 +27412,41 @@ that provides support for POST multipart/form-data=
 requests on both client and
 server.")
     (license (list license:expat license:asl2.0))))

+(define-public rust-multipart-0.17
+  (package
+    (inherit rust-multipart-0.18)
+    (name "rust-multipart")
+    (version "0.17.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "multipart" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1m3nrydgc56wjixsahipmvjgnxnw2cz7w8ryghsgahwjr3nswl6h"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-buf-redux" ,rust-buf-redux-0.8)
+        ("rust-clippy" ,rust-clippy-0.0)
+        ("rust-httparse" ,rust-httparse-1)
+        ("rust-hyper" ,rust-hyper-0.10)
+        ("rust-iron" ,rust-iron-0.6)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-log" ,rust-log-0.4)
+        ("rust-mime" ,rust-mime-0.3)
+        ("rust-mime-guess" ,rust-mime-guess-2)
+        ("rust-nickel" ,rust-nickel-0.11)
+        ("rust-quick-error" ,rust-quick-error-1)
+        ("rust-rand" ,rust-rand-0.7)
+        ("rust-rocket" ,rust-rocket-0.4)
+        ("rust-safemem" ,rust-safemem-0.3)
+        ("rust-tempfile" ,rust-tempfile-3)
+        ("rust-tiny-http" ,rust-tiny-http-0.6)
+        ("rust-twoway" ,rust-twoway-0.1))
+       #:cargo-development-inputs
+        (("rust-env-logger" ,rust-env-logger-0.5))))))
+
 (define-public rust-multiversion-0.6
   (package
     (name "rust-multiversion")
--
2.32.0




Information forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Sep 2021 08:47:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 04:47:16 2021
Received: from localhost ([127.0.0.1]:46574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMRKV-0006xT-SB
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 04:47:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:43178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <phodina@HIDDEN>) id 1mMRKU-0006wF-He
 for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 04:47:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44130)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1mMRKU-0005nA-9f
 for guix-patches@HIDDEN; Sat, 04 Sep 2021 04:47:14 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:59734)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <phodina@HIDDEN>)
 id 1mMRKE-0003Be-VH
 for guix-patches@HIDDEN; Sat, 04 Sep 2021 04:47:13 -0400
Date: Sat, 04 Sep 2021 08:46:52 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1630745216;
 bh=TBvqZQrYJfGTO5VqddURzHdho3bOFZTJy0X/5GyTNXA=;
 h=Date:To:From:Reply-To:Subject:From;
 b=Spi9F6DFoVX656KbCTCWHyX+nlDZcSotVX0IZqOWs8gdUi+/SNf4w2MKCnLMc0Vu7
 lTKuZtU5PY6p0oy7oOaEk+90pY+M3fl7tTGMgAJOUptoIUdsU3oigN7HuFGQVqhWug
 kkq5m1qjXz5rbkvFdkDlW56FFQFnGGkmFGaBuSno=
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: phodina <phodina@HIDDEN>
Subject: [PATCH 1/9] gnu: rust-multipart-0.17: Fix inputs.
Message-ID: <z0YmncNh1i9u6h11ea4Kd6s_ABCJ89_totSxa81UrqKdQGtdIcE_4eemElwMwHa7Patp2Th9wRsNJ97D6r2f-l5v46hINrBKxW0NyLOEDpM=@protonmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.43.23; envelope-from=phodina@HIDDEN;
 helo=mail-4323.protonmail.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 SPF_PASS=-0.001, T_SPF_HELO_TEMPERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: phodina <phodina@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/crates-io.scm
  (rust-multipart-0.17)[cargo-development-inputs]: Add rust-env-log-0.4.

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 087ffa1d27..605106f9fa 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -27398,7 +27398,9 @@ a default trait implementation you've defined.")
         ("rust-safemem" ,rust-safemem-0.3)
         ("rust-tempfile" ,rust-tempfile-3)
         ("rust-tiny-http" ,rust-tiny-http-0.6)
-        ("rust-twoway" ,rust-twoway-0.1))))
+        ("rust-twoway" ,rust-twoway-0.1))
+       #:cargo-development-inputs
+       (("rust-env-logger" ,rust-env-logger-0.5))))
     (home-page "https://github.com/abonander/multipart")
     (synopsis
      "Backend-agnostic extension for file uploads in HTTP libraries for Ru=
st")
--
2.32.0




Acknowledgement sent to phodina <phodina@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50368; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Sep 2021 19:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.